#
# spec file for package vms-empire
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           vms-empire
Version:        1.13
Release:        5.2
Summary:        Simulation of a full-scale war between two emperors
License:        GPL-2.0
Group:          Amusements/Games/Strategy/Turn Based
Url:            http://www.catb.org/~esr/bluemoon/
Source0:        http://www.catb.org/~esr/%{name}/%{name}-%{version}.tar.gz
%if 0%{?suse_version}
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
%endif
BuildRequires:  ncurses-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The ancestor of all 4x (expand/explore/exploit/exterminate) games.
VMS-Empire is a simulation of a full-scale war between two emperors,
the computer and you. Naturally, there is only room for one, so the
object of the game is to destroy the other. The computer plays by the
same rules that you do. This game is the ancestor of all the multiplayer
4X simulations out there, including Civilization and Master of Orion.

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
%make_install

%if 0%{?suse_version}
    %suse_update_desktop_file %{name}
%endif

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING HACKING NEWS README
%{_bindir}/%{name}
%{_mandir}/man6/%{name}.6%{ext_man}
%{_datadir}/appdata/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/

%changelog
* Mon Dec 15 2014 nemysis@gmx.ch
- Add BuildRequires for hicolor-icon-theme
* Sun Dec 14 2014 nemysis@gmx.ch
- Initial package creation
